local EnhancedModelScene = select(2, ...).self


local FileMap = {}
EnhancedModelScene.FileMap = FileMap

FileMap.modelfiles = select(2, ...).modelfiles


-- TODO: search for files containing query, ignoring matches specified to exclude
function FileMap:GetMatchingFiles(query, exclude)
	local files = {}

	for line in self.modelfiles:gmatch("[^\n]+") do
		if line:match(query) and (not exclude or not line:match(exclude)) then
			local file, name = strsplit(";", line)
			tinsert(files, {tonumber(file), name})
		end
	end
	
	return files
end


function FileMap:RemoveMatches(t, query)
end